Returns all the facet.date fields

- « SolrQuery::getFacetDateEnd

- SolrQuery::getFacetDateGap »

- PHP Manual
- SolrQuery
- Returns all the facet.date fields

# SolrQuery::getFacetDateFields

(PECL solr >= 0.9.2)

SolrQuery::getFacetDateFields — Returns all the facet.date fields

### Description

public SolrQuery::getFacetDateFields(): array

Returns all the facet.date fields

### Parameters

This function has no parameters.

### Return Values

Returns all the facet.date fields as an array or `null` if none was set